'use strict';
const chokidar = require( 'chokidar' );

const queue = [];

module.exports = function( params ) {
  chokidar
  .watch( params.paths, { ignored: params.exclude } )
  .on( params.event, (event, path) => {
    queue.push( { path : event, stat : path } );
  });
  return queue;
};
